Subject: Re: [Bug] git gc with alternates tries accessing non-existing directory

From: Jeff King <[email-masked]>
Date: Wed, 18 Mar 2015 05:42:32 -0400

On Wed, Mar 18, 2015 at 09:11:48AM +0100, Ephrim Khong wrote:

> I have a non-bare repository /home/a set up with an alternate to the bare
> repository /b. Running  git gc  on /home/a produces below's error
> [...]
> > git --version
> git version 2.3.0

Try v2.3.2. It has b0a4264 (sha1_file: fix iterating loose alternate
objects, 2015-02-08), which is almost certainly the problem.

-Peff